package fr.iut.pm.movieapplication.utils

import fr.iut.pm.movieapplication.api.dtos.MovieResultDTO
import fr.iut.pm.movieapplication.model.Movie

object Mapper {

     fun MapToMovie( movieDTO : MovieResultDTO) : Movie {
        return Movie(
            adult = movieDTO.adult,
            posterPath = movieDTO.posterPath,
            overview = movieDTO.overview,
            releaseDate = movieDTO.releaseDate,
            movieId = movieDTO.id,
            originalTitle = movieDTO.originalTitle,
            originalLanguage = movieDTO.originalLanguage,
            title = movieDTO.title,
            backdropPath = movieDTO.backdropPath,
            popularity = movieDTO.popularity,
            voteCount = movieDTO.voteCount,
            voteAverage = movieDTO.voteAverage,
            budget = null,
            genres = null,
            homePage = null,
            productionCompanies = null,
            productionCountries = null,
            revenue = null,
            runtime = null,
            status = null,
            tagLine = null

        )
    }


}